util.io

## Class ZipUtil

- java.lang.Object
- - util.io.ZipUtil

-     public class ZipUtil
      extends java.lang.Object

  This class contains some utility functions for handling zip files
  Author:
    bodum

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZipUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `zipDirectory(java.io.File zipfile, java.io.File directory)` Creates a zip file and stores all files in a directory recursively
    `void` | `zipDirectory(java.io.File zipfile, java.io.File directory, java.io.FileFilter fileFilter)` Creates a zip file and stores all files in a directory recursively

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipUtil

          public ZipUtil()

  - ### Method Detail

    - #### zipDirectory

          public void zipDirectory(java.io.File zipfile,
                          java.io.File directory,
                          java.io.FileFilter fileFilter)
                            throws java.io.IOException

      Creates a zip file and stores all files in a directory recursively
      Parameters:
        `zipfile` - compress to this file
        `directory` - compress this directory
        `fileFilter` - The filter to use for accepting files to be zipped or `null` if all files should be accepted.
      Throws:
        `java.io.IOException`

    - #### zipDirectory

          public void zipDirectory(java.io.File zipfile,
                          java.io.File directory)
                            throws java.io.IOException

      Creates a zip file and stores all files in a directory recursively
      Parameters:
        `zipfile` - compress to this file
        `directory` - compress this directory
      Throws:
        `java.io.IOException`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)